<!--
/********************************************************************************
 * Copyright © 2020 Basys GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<ng-container [formGroup]="form">

  <label [for]="controlId" class="field-label">
    <ng-content></ng-content>
  </label>

  <ng-container *ngIf="forDayOffset; else weekdayTemplateRef;">
    <ok-stepper-control [controlId]="controlId"
                        [formControlName]="key + 'DayOffset'"
                        [placeholder]="'Tage'">
    </ok-stepper-control>

    <span class="field-control-days">Tage</span>
  </ng-container>

  <ng-template #weekdayTemplateRef>

    <p-dropdown class="field-control-dropdown ui-dropdown" [inputId]="controlId"
                [style]="{width: '100%', padding: '0.125rem 0.5rem', backgroundColor: 'white'}"
                [options]="options" [formControlName]="key + 'WeekDay'">
    </p-dropdown>

    <select *ngIf="false" [id]="controlId"
            [formControlName]="key + 'WeekDay'"
            class="form-control field-control-select">
      <ng-content select="option"></ng-content>
    </select>
  </ng-template>

  <ok-stepper-control [minValue]="0" [maxValue]="23" [digits]="2" [cyclic]="true" [step]="1"
                      [placeholder]="'HH'" [formControlName]="key + 'Hour'">
  </ok-stepper-control>

  <span class="field-control-time-separator">:</span>

  <ok-stepper-control [minValue]="0" [maxValue]="60 - triggerMinuteStep" [digits]="2" [cyclic]="true"
                      [step]="triggerMinuteStep" [placeholder]="'MM'" [formControlName]="key + 'Minute'">
  </ok-stepper-control>

  <span class="field-control-clock">Uhr</span>

</ng-container>
